Name:           postgis
%define libnamedev %mklibname %{name} -d

Version:        2.1.8
Release:        %mkrel 2
Summary:        Geographic objects to the PostgreSQL object-relational database
License:        GPLv2+
Group:          Sciences/Geosciences
Url:            http://postgis.org
Source0:        http://download.osgeo.org/postgis/source/%{name}-%{version}.tar.xz
Patch0:		postgis-2.1.0-linkage.patch

BuildRequires: cunit-devel
BuildRequires: postgresql9.3-devel
BuildRequires: proj
BuildRequires: proj-devel
BuildRequires: geos-devel
BuildRequires: flex
BuildRequires: byacc
BuildRequires: libxslt-proc
BuildRequires: bison
BuildRequires: libxml2-devel
BuildRequires: gdal-devel
BuildRequires: %{_lib}json-devel

Requires:       postgresql9.3-plpgsql
Requires:       postgresql-libs >= 9.3
Requires:       proj

%description
Geographic objects to the PostgreSQL object-relational database

%package -n %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files for %{name}.


%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--datadir=%_datadir/postgis
%make

%install
rm -rf %buildroot
%makeinstall_std
cp utils/postgis*.pl %buildroot/%_bindir
find %{buildroot} -name "*.la" -delete
find %{buildroot} -name "*.a" -delete

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc COPYING README.postgis
%{_bindir}/*
%{_datadir}/*
%{_libdir}/liblwgeom-%{version}.so
%{_libdir}/postgresql/*.so

%files -n %{libnamedev}
%{_libdir}/liblwgeom.so
%{_includedir}/liblwgeom.h


%changelog
* Sun Mar 20 2016 woodhead <pp> 2.1.8-2pclos2016
- rebuild against new gdal/proj

* Sun Oct 11 2015 pp <pp> 2.1.8-1pclos2015
- update

* Fri Mar 13 2015 pinoc <vogtpet at gmail.com> 2.1.5-1pclos2015
- 2.1.5

* Fri Nov 14 2014 bb <bb> 2.1.4-2pclos2014
- build against new PostgreSQL 9.3

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 2.1.4-1pclos2014
- 2.1.4

* Tue Nov 05 2013 pinoc <vogtpet at gmail.com> 2.1.0-1pclos2013
- 2.1.0
- added libnamedev

* Fri Dec 09 2011 Texstar <texstar at gmail.com> 1.5.3-1pclos2011
- 1.5.3
